Package org.mariadb.jdbc.plugin.credential.aws

## Class AwsCredentialGenerator

- java.lang.Object
- - org.mariadb.jdbc.plugin.credential.aws.AwsCredentialGenerator

    public class AwsCredentialGenerator
    extends Object

### Constructor Summary

Constructors
`AwsCredentialGenerator​(Properties nonMappedOptions, String userName, HostAddress hostAddress)` AWS Generator.

### Method Summary

All Methods Instance Methods Concrete Methods
`Credential` `getToken()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AwsCredentialGenerator

    public AwsCredentialGenerator​(Properties nonMappedOptions,
                                  String userName,
                                  HostAddress hostAddress)

AWS Generator.

Parameters:
  `nonMappedOptions` - non standard options
  `userName` - user
  `hostAddress` - current server information

### Method Detail

#### getToken

    public Credential getToken()